
/*===============================================*\
	Samedi 21 novembre 1998

	Arash HABIBI

	Liaison.h

\*================================================*/

#include "CodageDecodage.h"
#include "Physique.h"

#define MAX_PAQUET 50
#define MAX_LIAISON 5

typedef struct Liaison_t
{
  int lia_desc;			/* descripteur de couche liaison  */
  int phys_desc;		/* descripteur de couche physique */
  int PTAE;			/* prochaine trame a emettre  */
  int TA;			/* trame attendue             */
  int connecte; 
} Liaison_t; 


extern int LiaConnectRequest(char *adresse_loc_name, char *adresse_dist_name); 

extern void LiaDataRequest(int desc, char *paquet, int taille_paquet);
extern int  LiaDataIndication(int desc, char *paquet); 

extern void LiaDisconnectRequest(int desc); 
extern int LiaDisconnectIndication(int desc);
