
/*===============================================*\
	Samedi 21 novembre 1998

	Arash HABIBI

	AppliReception.c

	L'application qui utilise les services
	de HDLC, en l'occurrence une reception de 
	fichiers. 

\*================================================*/

#include "Liaison.h"
  
void main(int argc, char **argv)
/*===============================================*\
  Ouvre et prepare une socket unix, ouvre un 
  fichier en ecriture, lit les messages arrivant
  sur la socket et ecrit les messages recus dans 
  le fichier. 
  La reception des messages se fait avec la 
  fonction ReceiveMessage definie ci-dessus. 
\*===============================================*/
{
    int SaveFile, res, taille, desc;
    mode_t mode; 
    char paquet[MAX_PAQUET]; 
	
    if(argc!=2)
	{printf("Usage : recepteur FichRecu \n"); 
	 printf("FichRecu est le nom sous lequel le fichier recu\n");
	 printf("devra etre sauvegarde.\n");
	 exit(1);}


/* ----- Creation et attachement de la socket locale ------*/
/* ----- Ouverture du fichier ou seront sauvegardees ------*/
/* ----- les donnees arrivant sur la socket ---------------*/

    mode = S_IRUSR|S_IWUSR; 

    if((SaveFile=open(argv[1], O_WRONLY|O_CREAT|O_TRUNC, mode))==-1)
	{perror(argv[1]); exit(1);}

    desc = LiaConnectRequest("sock_rec", "s_medrec");     

    while((taille = LiaDataIndication(desc, paquet))>0)
      {
	res = write(SaveFile, paquet, taille);
	if(res==-1) {perror("ecriture recepteur"); exit(1);}
      }

    if(taille<0)
      {printf("Appli : Erreur irrecuperable.\n"); exit(1);}
    
    else /* taille==0 */
      {
	if(LiaDisconnectIndication(desc))
	  {
	    printf("Appli : reception terminee.\n"); 
	    close(SaveFile);
	  }
      }
}	 



