/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	BindUnix.c

	Un programme qui ouvre une socket unix 
	de type SOCK_DGRAM et l'attache a la 
	reference passee en premier argument.
	Le but est d'essayer la fonction bind
	et de voir ce qu'on peut faire comme
	erreur. 
	Ensuite, le but est de faire un ls et 
	de voir la socket qu'on a creee. 
	
\*================================================*/


#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <string.h>

struct sockaddr_un adresse_loc;

void main(int argc, char **argv)
{
	int desc, res;
	char bidon; 
	
	if(argc!=2) {printf("Usage : BindUnix socket_loc\n"); 
			exit(1);}
			
/*--------- creation de la socket -----------*/

	desc = socket(AF_UNIX, SOCK_DGRAM, 0);

	if(desc == -1) {perror("socket"); exit(1);}
	else printf("Socket creee.\n");
	
/* -------- preparation de l'adresse ---------*/
		
	adresse_loc.sun_family = AF_UNIX; 
	strcpy(adresse_loc.sun_path, argv[1]);
	
/* ------- attachement de la socket a l'adresse ----*/
	
	res = bind(desc, (struct sockaddr*)&adresse_loc, 
		sizeof(adresse_loc));

	if(res == -1) {perror("bind"); exit(1);}
	else printf("Socket attachee.\n");
	
/* ---------  Attente de RETURN pour sortir --------*/

	printf("RETURN pour sortir.\n");
	scanf("%c",&bidon);  
}	 
