
/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	ClientUDP.c

	Sur sutherland j'ai fait un petit serveur qui 
	ne sert a rien et qui repond aux messages 
	en style repondeur telephonique. 
	Ici, il faudrait quelque chose qui lui 
	envoie des messages. C'est le role du 
	present programme.      
	
\*================================================*/


#include <stdio.h>
#include "SocketToolbox.h"

	
void main(int argc, char **argv)
/*================================================*\
\*================================================*/
{	
	int desc_sock, res, taille; 
	char message[100], reponse[500]; 
	struct sockaddr_in adresse_loc, adresse_dist;

	if(argc!=3)
	  {fprintf(stderr,"Usage : client machine num_port\n");
	  exit(1);}
	
/* --- Creation et attachement de la socket locale ---*/
	
	desc_sock = GetAndBindSocket(SOCK_DGRAM, 0, &adresse_loc);
	
	printf("Emetteur connecte sur le port %d\n",
		adresse_loc.sin_port);
		
/* --- Preparation de l'adresse de la ----------------*/
/* --- socket distante (serveur)----------------------*/

	adresse_dist = 
	WriteNetworkAddress(argv[1], atoi(argv[2]));
	
/* ----- Lecture du message a envoyer au clavier -----*/

	printf("Message >> "); 
	gets(message);
		
/* -------- Envoi du message ------------------------ */

	res=sendto(desc_sock, 
		message, 
		strlen(message)+1, 0, 
		(struct sockaddr *)&adresse_dist,  
		sizeof(adresse_dist));
	if(res==-1) {perror("sendto"); exit(1);}
	
/* -------- Attente de la reponse ------------------ */

	res = recvfrom(desc_sock,
		reponse, 500, 0,
		(struct sockaddr *)&adresse_dist,
		&taille);
		
	if(res==-1) {perror("recvfrom"); exit(1);}
	
	printf("\n\n reponse : \"%s\" \n\n", reponse);	
	printf("Arret du client.\n");
}
