
/*===============================================*\
	Vendredi 11 Septembre 1998

	Arash HABIBI

	ClientTCP.c

	Un client qui demande une connexion sur 
	la socket 60000 de pascal.u-strasbg.fr
	et qui dit "OK" quand la connexion est
	acceptee. 
	Ensuite, attend la frappe d'un RETURN
	pour fermet la connexion.      
	
\*================================================*/


#include "SocketToolbox.h"


void main(int argc, char **argv)
/*================================================*\
\*================================================*/
{	
	int res, desc_sock;
	struct sockaddr_in adresse_loc, adresse_dist;
	char bidon; 
	
	if(argc!=3) 
	{printf("Usage : client <hote> <port_num>\n\n"); 
	exit(1);}
	
/*--- Creation et attachement de la socket locale ---- */
	
	desc_sock = GetAndBindSocket(SOCK_STREAM, 
		0, &adresse_loc);
	
	printf("Client connecte sur le port %d\n",
		adresse_loc.sin_port);
		
/*------ Preparation de l'adresse de la ------------- */
/*------ socket distante (le serveur) --------------- */
	
	adresse_dist = WriteNetworkAddress(argv[1], atoi(argv[2]));
	
/*------- Demande de connexion --------------*/
	
	res = connect(desc_sock, 
		(struct sockaddr *)&adresse_dist, 
		sizeof(adresse_dist));
	
	if(res==-1) {perror("connect"); exit(1);}
	
	printf("Connexion avec avec l'hote %s numero de port %d\
	\na ete acceptee. \n\nRETURN pour fermer la connexion.\n\n",
	argv[1], atoi(argv[2]));
	
	scanf("%c",&bidon);  /* Attend RETURN */
	
/*-------- Fermeture de la connexion -----------*/
	res = close(desc_sock);
	if(res==-1) {perror("close"); exit(1);}
	else printf("Connexion fermee.\n\n");
}
