
/*================================================*\

	Lundi 23 novembre 1998

	Arash HABIBI

	Application.h

        Tout ce qui concerne l'application

\*================================================*/


#ifndef _APPLI_H
#define _APPLI_H

#include "define.h"

#include <sys/stat.h>
#include <fcntl.h>


typedef struct Appli_t
{
  int identite; 
  int FichAEmettre;
  int FichAEnregistrer;
  int Terminal;
  int nb_fichiers_recus;
  char prompt[50];
} Appli_t;


extern int InitApplication(int identite);
extern void StopApplication(); 


void PrintPrompt(int terminal, char *prompt);

/*-------- demande d'envoi de fichier ou de terminaison -------*/

extern int OrigineCmdAppli(int *, int *);
extern void VersCmdAppli();

extern int OrigineApplication(void *paquet, int *taille);
extern int    VersApplication(void *paquet, int  taille);

#endif
