/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	LongToAdresseIP.c

	Fonction utilisee a des fins d'affichage. 
   	A partir d'une adresse IP sous la forme d'un 
    	entier long, cette fonction fournit l'adresse 
    	IP sous la forme de quatre entiers n1, n2, n3, n4
    	compris entre 0 et 255. 
	
\*================================================*/


#include<sys/types.h>

void LongToAdresseIP(u_long A_IP, int *n1, int *n2, int *n3, int *n4)
/*================================================*\
\*================================================*/
{
	int reste;
	
	*n1 = A_IP / 0x1000000; 
	reste = A_IP % 0x1000000; 
	
	*n2 = reste / 0x10000; 
	reste = reste % 0x10000; 
	
	*n3 = reste / 0x100; 
	*n4 = reste % 0x100; 
}

