/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	main.c

	Un programme a qui on donne en entree
	un nom d'hote (comme par exemple 
	pascal.u-strasbg.fr) et qui en sortie
	donne l'adresse IP de la machine. C'est
	le remake de nslookup avec la fonction 
	gethostbyname.   
	
\*================================================*/

#include <sys/types.h>

extern void LongToAdresseIP(u_long A_IP, int *n1, int *n2, int *n3, int *n4);
extern u_long IPAddrByName(char *HostName);


void main(int argc, char **argv)
/*================================================*\
    Ce programme est constitue d'un appel a 
    IPAddrByName qui a partir du nom de la 
    machine produit l'entier long et qui, 
    ensuite, a partir de l'entier long, 
    produit l'adresse IP sous la forme
    n1.n2.n3.n4 et l'affiche a l'ecran. 
\*================================================*/
{	
	u_long IPAdresse;
	int n1, n2, n3, n4, reste; 
	
	if(argc!=2) {printf("Usage : my_nslookup nom_hote\n"); 
			exit(1);}

	IPAdresse = IPAddrByName(argv[1]); 
	
	/* Pour que le resultat soit le meme    */
	/* en big endian comme en little endian */
	/* IPAdresse = ntohl(IPAdresse);        */

	LongToAdresseIP(IPAdresse, &n1, &n2, &n3, &n4);

	printf("Adresse IP de %s: %u.%u.%u.%u\n", 
		argv[1], n1, n2, n3, n4);
}	 
