
/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	ServeurTCP.c

	Un programme qui attend les connexions
	venant de clients et leur attribue une 
	socket de service. 

\*================================================*/


#include "SocketToolbox.h"


void main(int argc, char **argv)
/*================================================*\
\*================================================*/
{
	int i, res, sock_ecoute, sock_service[2], taille_adr; 
	AdresseIP_t IP;    /* n1.n2.n3.n4 */
	u_short port; 
	struct sockaddr_in adresse_loc, adresse_dist; 
	char bidon; 

	if(argc!=2) 
	{printf("Usage : serveur num_port\n"); exit(1);}
	
/*--- Creation et attachement de la socket locale ---- */
	
	sock_ecoute = GetAndBindSocket(SOCK_STREAM, 
		atoi(argv[1]), &adresse_loc);
	
	printf("Serveur TCP sur port numero %d\n",
		adresse_loc.sin_port);
		
	
/* ------- Debut de l'ecoute (entree en service) ------ */
			
	res = listen(sock_ecoute, 10);
	
	if(res == -1) {perror("listen"); exit(1);}
	else printf("Serveur TCP commence l'ecoute\n");


/* ------- Prise en compte de deux connexions --------- */

	taille_adr = sizeof(adresse_dist); 

	for(i=0; i<2; i++)
	{
		sock_service[i] = accept(sock_ecoute, 
			(struct sockaddr *)&adresse_dist, 
			&taille_adr);
			
		if(res==-1) {perror("accept");}
		
/*--------- Compte rendu ------------------------------*/
		
		ReadNetworkAddress(adresse_dist, &IP, &port);
			
		printf("Demande de connexion venant de l'hote\
		      \n%d.%d.%d.%d du port numero %d. Prenez\
		      \nla socket de service numero %d\n\n",
		      IP.n1, IP.n2, IP.n3, IP.n4, port,  
			sock_service[i]);
			
		if(i==0) printf("Serveur attend seconde connexion.\n");
		else	 printf("Les deux connexions se sont bien deroulees.\n");
	}
	
	printf("RETURN pour deconnecter les sockets serveurs.\n");
	scanf("%c", &bidon);    /* attente d'un RETURN */
	
/* ------ La fermeture des deux sockets de service --------*/
	
	for(i=0; i<2; i++)
	{
		res = close(sock_service[i]);
		if(res==-1) {printf("i=%d\t",i); perror("close");}
	}
	
/* ------ La fermeture de la socket d'ecoute --------*/
	
	res = close(sock_ecoute);
	if(res==-1) {perror("close socket d'ecoute");}
}

