
/*===============================================*\
	Vendredi 11 Septembre 1998

	Arash HABIBI

	ClientTCP.c

	Un client qui demande une connexion sur 
	la socket nb_port de la machine nom_host
	et qui dit "OK" quand la connexion est
	acceptee. 
	Ensuite, attend qu'on lui transfert un 
	fichier.       
	
	Attention le fichier SocketToolbox.c
	a change. Les fonctions RecoitFichier
	et TransfertFichier s'y sont ajoutees.  
	     
\*================================================*/


#include "SocketToolbox.h"

	
void main(int argc, char **argv)
/*===============================================*\
\*===============================================*/
{	
	int res, desc_sock;
	struct sockaddr_in adresse_loc, adresse_dist; 
	
	if(argc!=3) 
	{printf("Usage : client <hote> <port_num>\n\n"); 
	exit(1);}
	
/*---Creation et attachement de la socket locale ----*/
	
	desc_sock = GetAndBindSocket(SOCK_STREAM, 
		0, &adresse_loc);
	
	printf("Client connecte sur le port %d\n",
		adresse_loc.sin_port);
		
/* ------ Preparation de l'adresse de la ------*/
/* ------ socket distante (le serveur) --------*/
		
	adresse_dist = WriteNetworkAddress(argv[1], atoi(argv[2])); 
	
/* ----- la demande de connexion au serveur --------------*/
	
	res = connect(desc_sock, 
		(struct sockaddr *)&adresse_dist, 
		sizeof(adresse_dist));
		
	if(res==-1) {perror("connect"); exit(1);}

	printf("Connexion avec avec l'hote %s numero de port %d\
	\na ete acceptee. Reception du fichier -> FichierRecu\n\n",
	argv[1], atoi(argv[2]));
	
/* ----- la reception du fichier et ---------------------*/
/* ----- enregistrement sous le nom "FichierRecu" -------*/
	
	RecoitFichier(desc_sock, "FichierRecu");
	
/* ------- La deconnexion des sockets ------------------*/
	
	res = close(desc_sock);
	if(res==-1) {perror("close"); exit(1);}
	else printf("Connexion fermee.\n\n");
}
